//  addpagedialog.h -- template and derived ESC/I ESC/I-2 protocol commands
//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.

#ifndef ADDPAGEDIALOG_H
#define ADDPAGEDIALOG_H

#include <QDialog>
#include <QCloseEvent>

#include "supervisor.h"

namespace Ui {
class AddPageDialog;
}

class AddPageDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AddPageDialog(ScanningStatus* scanning_status, QWidget *parent = 0);
    ~AddPageDialog();

private slots:
    void onButtonPressed();

protected:
    void closeEvent(QCloseEvent* event);

private:
    Ui::AddPageDialog *ui;

    bool CancelDialog(void);

    ScanningStatus* scanning_status;
};

#endif // ADDPAGEDIALOG_H
