//  detectdoublefeedsettingsdialog.h -- template and derived ESC/I ESC/I-2 protocol commands
//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.

#ifndef DETECTDOUBLEFEEDSETTINGSDIALOG_H
#define DETECTDOUBLEFEEDSETTINGSDIALOG_H

#include <QDialog>
#include "supervisor.h"

namespace Ui {
class DetectDoubleFeedSettingsDialog;
}

class DetectDoubleFeedSettingsDialog : public QDialog
{
    Q_OBJECT

public:
    explicit DetectDoubleFeedSettingsDialog(QWidget *parent = 0);
    ~DetectDoubleFeedSettingsDialog();

    void Initialize(DOUBLE_FEED_DETECTION_VALUE detectdoublefeed_para);

    void SetValue(void);
    void Finalize(void);
    void GetValue(double *min, double *max, SDIInt *pt);

public slots:
    void onValueChanged(int value);

private:
    Ui::DetectDoubleFeedSettingsDialog *det_double_feed_ui;

    DoubleFeedDetection paper_thickness;

    double detection_area_min;
    double detection_area_max;

    INT_SETTING_VALUE DoubleFeedDetectionLevel_item;

    void updateUI(void);

    void select_units(void);
};

#endif // DETECTDOUBLEFEEDSETTINGSDIALOG_H
