//  prefixlineedit.h -- template and derived ESC/I ESC/I-2 protocol commands
//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.

#ifndef PREFIXLINEEDIT_H
#define PREFIXLINEEDIT_H

#include <QLineEdit>

#define DEFAULT_PREFIX "img"

class PrefixLineedit : public QLineEdit
{
public:
    PrefixLineedit(QWidget *parent = 0);

    QString current_prefix;

    void initialize(std::string default_prefix);

    QString set_prefix(QString prefix);

    void get_prefix(std::string* prefix);

    //void update_ui(SCANITEM document_source_para);

    //void item_event(int value);

private:
    bool changed;

    void BanMessageBox(void);

    //void set_enabled(bool enabled);

    //void add_item(std::list<float> item_list);

    //void select_item(std::list<float> item_list, DocumentSource select);
};

#endif // PREFIXLINEEDIT_H
