//  thresholdslider.h -- template and derived ESC/I ESC/I-2 protocol commands
//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.

#ifndef THRESHOLDSLIDER_H
#define THRESHOLDSLIDER_H

#include <QSlider>
#include "supervisor.h"

class ThresholdSlider : public QSlider
{
public:
    ThresholdSlider(QWidget *parent = 0);

    int current_item;

    void initialize(int default_item);

    void update_ui();

    void item_event(int value, INT_SETTING_VALUE* threshold_para);

private:
    bool changed;

    void set_enabled(bool enabled);

};

#endif // THRESHOLDSLIDER_H
