//  transferdataaftercompcheckbox.h -- template and derived ESC/I ESC/I-2 protocol commands
//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.

#ifndef TRANSFERDATAAFTERCOMPCHECKBOX_H
#define TRANSFERDATAAFTERCOMPCHECKBOX_H

#include <QCheckBox>
#include "supervisor.h"

class TransferDataAfterCompCheckBox : public QCheckBox
{
public:
    TransferDataAfterCompCheckBox(QWidget *parent = 0);

    bool current_item;

    void initialize(bool default_item);

    void update_ui(void);

    bool item_event(bool value);

private:
    bool changed;

    void set_enabled(bool enabled);

    void select_item(bool select);

};

#endif // TRANSFERDATAAFTERCOMPCHECKBOX_H
